<script lang="ts">
import { MetaInfo } from 'vue-meta/types/vue-meta';
import {
  //   Cities,
  ConductBanner,
  Decoration,
  Hero,
  WorldTourEventsGrid,
  //   WorldTourForm,
} from '~/components/events/world-tour/index.vue';
import { Faq as FAQ, NextStepAlt } from '~/components/common/index.vue';

import { getPageMetadata } from '~/common/meta';
import { FooterEditLinkMixin } from '~/mixins';
import { WorldTourEventsService } from '~/services/events/world-tour-events.service';

export default {
  name: 'WorldTour',
  components: {
    Hero,
    // Cities,
    // WorldTourForm,
    ConductBanner,
    NextStepAlt,
    FAQ,
    Decoration,
    WorldTourEventsGrid,
  },
  mixins: [FooterEditLinkMixin],

  nuxtI18n: false,
  async asyncData({ $worldTourEventsService }: any) {
    try {
      const { content, spaceId, entryId, events } = await (
        $worldTourEventsService as WorldTourEventsService
      ).getLandingContent();
      return { content, spaceId, entryId, events };
    } catch (e) {
      throw new Error(e);
    }
  },
  head(): MetaInfo {
    return {
      ...getPageMetadata((this as any).content.metadata, this.$route.path),
    };
  },
};
</script>
<template>
  <div class="devsecops-world-tour">
    <Hero v-if="content.hero" v-bind="content.hero" />
    <SlpContainer>
      <div class="devsecops-world-tour__description">
        <div>
          <SlpTypography variant="heading3-bold" tag="h3" class="slp-mb-24">
            {{ content.section.header }}
          </SlpTypography>

          <div
            class="devsecops-world-tour__text"
            v-html="$md.render(content.section.text)"
          ></div>
        </div>
        <div
          class="devsecops-world-tour__text"
          v-html="$md.render(content.section.secondaryColumnText)"
        ></div>
      </div>
    </SlpContainer>
    <Decoration class="devsecops-world-tour__dec" />
    <WorldTourEventsGrid :events="content.regions" />
    <!-- <Cities v-if="content.regions" :regions="content.regions" />
    <WorldTourForm
      v-if="content.form && content.form.formId"
      v-bind="content.form"
    /> -->
    <Decoration class="devsecops-world-tour__dec" />
    <FAQ
      v-if="content.faq"
      class="devsecops-world-tour__faq"
      :data="content.faq"
      active-header="DevSecOps World Tour"
    />
    <ConductBanner
      v-if="content.banner"
      v-bind="content.banner"
      class="slp-mb-64"
    />
    <NextStepAlt />
  </div>
</template>
<style lang="scss" scoped>
.devsecops-world-tour {
  &__faq {
    background-color: transparent;
  }
  &__description {
    @media (min-width: $breakpoint-md) {
      display: grid;
      grid-template-columns: repeat(2, 1fr);
      gap: 40px;
    }
  }
  &__dec {
    @media (min-width: $breakpoint-md) {
      margin: 160px 0;
    }
  }
  &__dec-bottom {
    @media (min-width: $breakpoint-md) {
      margin: 160px 0 80px 0;
    }
  }
  &__text {
    :deep {
      p {
        font-size: 18px;
        font-style: normal;
        font-weight: 400;
        line-height: 28px;
        margin: 24px 0;
      }
      strong {
        font-weight: 600;
      }
      ul {
        padding-left: 32px;
        margin: 16px 0;

        li {
          margin-top: 8px;
          position: relative;

          &:before {
            content: url('/nuxt-images/icons/list-check-dark.svg');
            position: absolute;
            top: 3px;
            left: -30px;
          }
        }
      }
    }
  }
  .conduct-wrapper {
    :deep {
      padding-top: 0;
    }
  }
}
</style>
